Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface PredictionExonAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface PredictionExonAdaptor
extends FeatureAdaptor

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`void` | `delete(long internalID)`
`void` | `delete(PredictionExon predictionTranscript)`
`PredictionExon` | `fetch(long internalID)`
`java.util.List` | `fetch(PredictionTranscript transcript)`
`long` | `store(PredictionExon predictionTranscript)`

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public PredictionExon fetch(long internalID)
                         throws AdaptorException

  Throws:
    `AdaptorException`

### store

    public long store(PredictionExon predictionTranscript)
               throws AdaptorException

  Throws:
    `AdaptorException`

### delete

    public void delete(long internalID)
                throws AdaptorException

  Throws:
    `AdaptorException`

### delete

    public void delete(PredictionExon predictionTranscript)
                throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(PredictionTranscript transcript)
                         throws AdaptorException

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD